> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an email or domain to the suppression list

Suppresses an email address or entire domain to prevent sending emails to them. For domain-level suppression, use the pattern "\*@domain.com" which will suppress all emails from that domain and consolidate existing suppressions for that domain. The endpoint validates the email format and prevents duplicate suppressions.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /contacts/suppressed
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /contacts/suppressed:
    post:
      tags:
        - Contact Suppressions
      summary: Add an email or domain to the suppression list
      description: >-
        Suppresses an email address or entire domain to prevent sending emails
        to them. For domain-level suppression, use the pattern "*@domain.com"
        which will suppress all emails from that domain and consolidate existing
        suppressions for that domain. The endpoint validates the email format
        and prevents duplicate suppressions.
      operationId: addSuppressedContact
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  description: >-
                    Email address to suppress, or domain pattern "*@domain.com"
                    to suppress entire domain.
                  example: galvin@hooli.com
              required:
                - email
      responses:
        '200':
          description: Email or domain suppressed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    format: int64
                    description: Unique identifier for the suppression record
                  email:
                    type: string
                    description: Suppressed email or domain pattern
                  created:
                    type: string
                    format: date-time
                    description: Timestamp when the suppression was created (UTC)
                  blocked:
                    type: integer
                    description: >-
                      Number of times emails to this address/domain have been
                      blocked
                  is_common:
                    type: boolean
                    description: >-
                      Whether this is a common webmail domain (true) or a
                      company domain (false)
        '400':
          description: Invalid email format or email/domain already suppressed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: The email spam@example.com is already suppressed.
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````